org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer

## Class TypeConstants

- java.lang.Object
- - org.eclipse.emf.compare.rcp.ui.internal.contentmergeviewer.TypeConstants

    public final class TypeConstants
    extends Object

Constants used by org.eclipse.emf.compare.rcp.ui.contentmergeviewer.accessor.legacy.ITypedElement implementations.

Since:
  4.0

### Field Summary

Fields
`static String` `TYPE_ELIST_DIFF` Used by accessors displaying diffs as a list.
`static String` `TYPE_EMATCH` Used by accessors displaying matches.
`static String` `TYPE_ERESOURCE_DIFF` Used by accessors displaying diffs as resource.
`static String` `TYPE_ETEXT_DIFF` Used by accessors displaying diffs as text.
`static String` `TYPE_ETREE_DIFF` Used by accessors displaying diffs as a tree.
`static String` `TYPE_FALLBACK_TEXT` Used when the comparison failed and we want to fallback to text merge.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TYPE_ETREE_DIFF

    public static final String TYPE_ETREE_DIFF

Used by accessors displaying diffs as a tree.

See Also:
  Constant Field Values

#### TYPE_ELIST_DIFF

    public static final String TYPE_ELIST_DIFF

Used by accessors displaying diffs as a list.

See Also:
  Constant Field Values

#### TYPE_ETEXT_DIFF

    public static final String TYPE_ETEXT_DIFF

Used by accessors displaying diffs as text.

See Also:
  Constant Field Values

#### TYPE_ERESOURCE_DIFF

    public static final String TYPE_ERESOURCE_DIFF

Used by accessors displaying diffs as resource.

See Also:
  Constant Field Values

#### TYPE_EMATCH

    public static final String TYPE_EMATCH

Used by accessors displaying matches.

See Also:
  Constant Field Values

#### TYPE_FALLBACK_TEXT

    public static final String TYPE_FALLBACK_TEXT

Used when the comparison failed and we want to fallback to text merge.

See Also:
  Constant Field Values